Raised This Month: $535 Target: $400
 133% 

[L4D2] Unable to load plugin ("code is too new")


Post New Thread Reply   
 
Thread Tools Display Modes
Author Message
RichardHafer
Junior Member
Join Date: Dec 2020
Old 04-18-2022 , 14:31   [L4D2] Unable to load plugin ("code is too new")
Reply With Quote #1

I'm running a L4D2 server (Linux, newest versions of SourceMod and Metamod installed)

Some plugins fail to load, here is the error-log:

L 04/18/2022 - 19:15:17: [SM] Failed to load plugin "l4d2_shop_lethal_ammo.smx": Unable to load plugin (unsupported feature set; code is too new).
L 04/18/2022 - 19:15:17: [SM] Failed to load plugin "l4d2_shop_jump.smx": Unable to load plugin (unsupported feature set; code is too new).
L 04/18/2022 - 19:15:17: [SM] Failed to load plugin "l4d2_incapped_crawling.smx": Unable to load plugin (illegal disk size).
L 04/18/2022 - 19:15:17: [SM] Failed to load plugin "l4d_mutant_zombies.smx": Unable to load plugin (illegal disk size).
L 04/18/2022 - 19:15:17: [SM] Failed to load plugin "l4d2_shop_bhop.smx": Unable to load plugin (unsupported feature set; code is too new).
L 04/18/2022 - 19:15:17: [SM] Failed to load plugin "l4d2_shop.smx": Unable to load plugin (unsupported feature set; code is too new).
L 04/18/2022 - 19:15:17: [SM] Failed to load plugin "l4d2_shop_lasertag.smx": Unable to load plugin (unsupported feature set; code is too new).
L 04/18/2022 - 19:15:17: [SM] Failed to load plugin "l4d_hats.smx": Unable to load plugin (illegal disk size).

I have installed all required plugins for these plugins
Any help would be appreciated.
RichardHafer is offline
Bacardi
Veteran Member
Join Date: Jan 2010
Location: mom's basement
Old 04-18-2022 , 14:44   Re: [L4D2] Unable to load plugin ("code is too new")
Reply With Quote #2

That plugin is compiled with dev version of SourceMod (1.11) and you try use those on stable version of SourceMod (1.10)
You need compile plugins with 1.10
...or upgrade your server SM to 1.11 which is not recommend.
__________________
Do not Private Message @me

Last edited by Bacardi; 04-18-2022 at 14:45.
Bacardi is offline
RichardHafer
Junior Member
Join Date: Dec 2020
Old 04-19-2022 , 13:21   Re: [L4D2] Unable to load plugin ("code is too new")
Reply With Quote #3

Quote:
Originally Posted by Bacardi View Post
That plugin is compiled with dev version of SourceMod (1.11) and you try use those on stable version of SourceMod (1.10)
You need compile plugins with 1.10
...or upgrade your server SM to 1.11 which is not recommend.

Thanks for the answer, is the 1.11 really that unstable that its not recommended?
RichardHafer is offline
Bacardi
Veteran Member
Join Date: Jan 2010
Location: mom's basement
Old 04-19-2022 , 14:19   Re: [L4D2] Unable to load plugin ("code is too new")
Reply With Quote #4

Well, if you use dev version, you should not complain server/plugin crashes.

Using stable <- read version, you can ask help of crash problem and post issue in SM github, etc. etc.
__________________
Do not Private Message @me
Bacardi is offline
asherkin
SourceMod Developer
Join Date: Aug 2009
Location: OnGameFrame()
Old 04-26-2022 , 09:34   Re: [L4D2] Unable to load plugin ("code is too new")
Reply With Quote #5

That's not correct - neither 1.10 nor 1.11 should cause issues such as crashes, in fact 1.11 has a lot more bug fixes. The stable / dev designator refers to the APIs offered, things can be removed from 1.11 and new APIs might see a lot of changes after they're added. I would encourage almost everyone to use 1.11 and report any issues they encounter.

We're having a lot of delays with 1.11 because this keeps happening:

Developer: 1.11 looks to be done, ready to promote to stable this weekend
User: I don't think it is ready, I've had issues with my plugins
Developer: Did you open bugs?
User: .... No
Developer: Tell anyone about the issues?
User: ....... No

Quote:
Originally Posted by Bacardi View Post
Using stable <- read version, you can ask help of crash problem and post issue in SM github, etc. etc.
The first thing anyone is going to say if you do that is "try 1.11".
__________________

Last edited by asherkin; 04-26-2022 at 09:40.
asherkin is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 22:26.


Powered by vBulletin®
Copyright ©2000 - 2023, vBulletin Solutions, Inc.
Theme made by Freecode